Skip to main content
POST
/
templates
/
{uid}
/
batch-render
Batch render template
curl --request POST \
  --url https://api.pictify.io/templates/{uid}/batch-render \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "variableSets": [
    {}
  ],
  "format": "png",
  "quality": 0.9,
  "concurrency": 5
}
'
{
  "batchId": "<string>",
  "totalItems": 123,
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pictify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the Pictify dashboard

Path Parameters

uid
string
required

Body

application/json
variableSets
object[]
required
Required array length: 1 - 100 elements
format
enum<string>
default:png
Available options:
png,
jpeg,
webp
quality
number
default:0.9
Required range: 0.1 <= x <= 1
concurrency
integer
default:5
Required range: 1 <= x <= 10

Response

202 - application/json

Batch job created

batchId
string
status
enum<string>
Available options:
pending,
processing,
completed,
failed,
partial,
cancelled
totalItems
integer
message
string